class CreateVideoContents < ActiveRecord::Migration[6.0]
  def change
    create_table :video_contents do |t|
      t.references   :video_file,   index: true
      t.string       :title
      t.boolean      :download,   :default => false
      t.boolean      :autoplay,   :default => false
      t.boolean      :fullscreen,   :default => false
      t.boolean      :controls,   :default => false
      t.string       :legend
      t.string       :style

      t.timestamps
    end
  end
end
